%define name xcave
%define version 2.3.2
%define release %mkrel 1

Summary: A wine cellar manager
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://xcave.free.fr/download/en/%{name}-%{version}.tar.gz
# (fc) 2.3.2-1mdv fix build with latest glibc/gcc
Patch0: xcave-2.3.2-fixbuild.patch
License: GPLv2+
Group: Databases
Url: http://xcave.free.fr/
BuildRequires: gtk+2-devel
BuildRequires: libglade2-devel
BuildRequires: atk-devel
BuildRequires: imagemagick
BuildRequires: intltool

%description
xcave is a cellar manager, to allow to view and manage the contents of
a wine cellar.
The 'wine' referred to here, is for drinking, nothing to do with
Windows emulator.
It provides:
- a wine cellar manager
- a graphical representation of the cellar
  (the rack number and rack dimensions can be changed)
- many fields are predetermined depending on the appellation
- a stock data or information about a specific wine can be printed
- a tasting notes and comments
- a xml structure for the stock file
- a colour differences calculated by vintage and time stored in cellar
- a different sorting and presentation options
  (by maturity, name, vintage (year), producer and quantity)

%prep
%setup -q
%patch0 -p1 -b .fixbuild

intltoolize --force
libtoolize --copy --force
autoreconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%_real_vendor-%{name}.desktop << EOF
[Desktop Entry]
Name=XCave
Comment=View and manage a wine cellar
Exec=%_bindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Office;Database;GTK;
EOF

mkdir -p $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
convert -geometry 48x48 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/%{name}-icon.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%_real_vendor-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Fri May 13 2011 dmorgan <dmorgan> 2.3.2-1.mga1
+ Revision: 97684
- imported package xcave


* Tue Apr 13 2010 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-1mdv2010.1
+ Revision: 534360
- Update build requirements
- Release 2.3.2
- Patch0: fix build with latest glibc/gcc

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 2.3.0-5mdv2010.1
+ Revision: 508928
- simplify BR

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-4mdv2009.0
+ Revision: 262278
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.3.0-3mdv2009.0
+ Revision: 256637
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 06 2008 Jérôme Soyer <saispo@mandriva.org> 2.3.0-1mdv2008.1
+ Revision: 145872
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Aug 17 2007 Funda Wang <fwang@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 64837
- xdg category
- New version 2.2.9

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.2.8-1mdv2008.0
+ Revision: 58039
- 2.2.8

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 2.2.6-1mdv2008.0
+ Revision: 15673
- XDG menu
- 2.2.6
- Import xcave



* Wed Jan 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.4-3mdk
- Add BuildRequires : ImageMagick

* Wed Jan 18 2006 Olivier Blin <oblin@mandriva.com> 2.2.4-2mdk
- buildrequires gtk+2-devel

* Mon Jan 16 2006 Olivier Blin <oblin@mandriva.com> 2.2.4-1mdk
- initial release
